Subject: Re: Could the DTS experts look at this?

From: Timur Tabi <[email-masked]>
Date: Mon, 11 Feb 2008 11:57:10 -0600

Arnd Bergmann wrote:

> Maybe we can introduce a more generic way of having conditional
> device nodes in the tree that get knocked out in the boot wrapper.

I've been thinking about doing just this for quite some time now.  I've had a 
few informal discussions without people about.

One idea is to allow attaching simple conditional expressions (like X is <, =, 
or > than Y) to a node.  It is the responsibility of the code that parses the 
device tree to assign values to X and Y.  For instance, they could be the names 
of U-Boot environment variables.  If the expression is false, then the node is 
removed (or ignored) from the device tree.  If it's true, then it's kept in.

-- 
Timur Tabi
Linux kernel developer at Freescale